﻿using SqlSugar;

namespace ContingencyManagement.Sdk
{
    /// <summary>
    /// 
    /// </summary>
    [SugarTable("Orders")]
    public class ContingencyManagementOrders
    {

        [SugarColumn(ColumnName = "Id", IsPrimaryKey = true)]
        public string Id { get; set; }

        /// <summary>
        /// 工单编码
        /// </summary>
        public string? No { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 诉求内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 来源渠道（电话、网站、APP等）
        /// </summary>
        public string? SourceChannel { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string? AcceptType { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        public string? HotspotSpliceName { get; set; }

        // <summary>
        /// 市
        /// </summary>
        public string? City { get; set; }

        /// <summary>
        /// 区/县
        /// </summary>
        public string? County { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 归档时间
        /// </summary>
        public DateTime? FiledTime { get; set; }

        /// <summary>
        /// 归档意见
        /// </summary>
        public string? FileOpinion { get; set; }
    }
}
