﻿using Microsoft.Extensions.DependencyInjection;
using SqlSugar;

namespace DataSharing.Repository.Extensions
{
    public static class ContingencyManagementDbExtensions
    {
        public static IServiceCollection AddYingJiDb(this IServiceCollection services, YingJiGuanLiJuConfiguration yingJiGuanLiJuConfiguration)
        {
            SqlSugarScope sqlSugar = new SqlSugarScope(new ConnectionConfig()
            {
                DbType = DbType.MySql,
                ConnectionString = yingJiGuanLiJuConfiguration.DbConnectionString,
                IsAutoCloseConnection = true,
            },
                 db => { }
             );

            ISugarUnitOfWork<ContingencyManagementDbContext> context = new SugarUnitOfWork<ContingencyManagementDbContext>(sqlSugar);
            services.AddSingleton(context);

            return services;
        }
    }
}
